#include <bits/stdc++.h>

using namespace std;

long long i,n,res,k,a[100007],sum,ma;

int main(){
    cin >> n;
    sum = 0;
    for(i=1; i<=n; i++) cin >> a[i];
    ma = a[1];
    for(i=1; i<=n; i++)
        if(a[i] > ma) ma = a[i];
    sum += ma;
    for(i=1; i<=n; i++){
        if(ma<a[i])
            for(i=1; i<=n-1; i++)
               for(i=1; i<=n; i++)
            if(a[i] > ma) ma = a[i];
        sum+=ma;
    }


    cout << sum <<endl;

    return 0;
}
